set Release(initialize.tcl) {$Header: /home/cvs/tktest/initialize.tcl,v 1.5 2004/09/02 18:43:57 clif Exp $}

###################################################################
# Initialize: initializes the global variables.
###################################################################
proc Initialize {} {
    global ReplayData

    #
    # set up global replay data
    #
    set ReplayData(Version)        "2.0"
    set ReplayData(Date)           "17 March 2004"
    set ReplayData(ControlLine) -1
    set ReplayData(StartupDir)     [pwd]
    set ReplayData(PendingCommandUID) 0
    set ReplayData(UIDCounter)     1
    set ReplayData(RecordingOn)    0
    set ReplayData(PlayingOn)      0
    set ReplayData(ConnectedApps)  {}
    set ReplayData(ThisApp)        [winfo name .]
    set ReplayData(Level)          0
    set ReplayData(0,Script)       {}
    set ReplayData(0,ScriptIndex)  0
    set ReplayData(0,ScriptFileName) [format {%s/%s} [pwd] Unnamed]
    set ReplayData(SocketApps) {}
    #
    # initialize various option settings
    #
    #
    # USER OPTION: you can change the default setting of these options here.
    #
    set ReplayData(pointWithMouse)      1
    set ReplayData(pointWithArrow)      0
    
    set ReplayData(MouseSpeed)          6
    #
    # try to load the WarpPointer command
    #
    # The catch is used in case the package command does not exist
    # This allows tkreplay to work with Tk 4.0.
    catch {package require WarpPointer}
    if {[catch "WarpPointer 1 1 0"]} {
        puts stderr "NOTE: cannot move the mouse pointer so it will not be\
            moved during replay."
        if $ReplayData(pointWithMouse) {
            set ReplayData(pointWithMouse) 0
            set ReplayData(pointWithArrow) 1
        }
    }
}
